# &kde; kasutaja käsiraamat

David
Faure

    faure@kde.org

Waldo
Bastian

    bastian@kde.org

2008-11-12
0.01.01
kded4
8

# `kded4`

&kde; deemon - lubab Sycoca andmebaasil end vajadusel uuendada.

## Kokkuvõte

    kded4 --help Üldised võtmed Qt võtmed KDE võtmed --check

## Kirjeldus

`kded4` kannab vastutust sycoca-faili, s.t konkreetse kasutaja teenusetüüpide, MIME tüüpide ja teenuste binaarpuhvri loomise eest.

See jälgib katalooge, mis sisaldavad .desktop-faile. Kui mõni fail lisatakse või eemaldatakse, oodatakse viis sekundit (juhuks, kui uuendusi peaks tulema mitu) ning seejärel käivitatakse käsk `kbuildsycoca`.

## Üldised võtmed

`--author`

  Näitab infot autori kohta.

`--help`

  Näitab abiteadet võtmete kohta.

`--help-all`

  Näitab kõiki võtmeid.

`--help-kde`

  Näitab KDE spetsiifilisi võtmeid.

`--help-qt`

  Näitab Qt spetsiifilisi võtmeid.

`--license`

  Näitab litsentsiinfot.

`-v` `--version`

  Näitab versiooniinfot.

## Rakenduse võtmed

`--check`

  Sycoca andmebaasi kontrollitakse ainult korra.

## Kasutamine

Kui käivitada `kded4` parameetriteta ja see juba töötab, näidatakse teadet:

    KDE deemon (kded) juba töötab.

Kui käivitada `kded4` parameetriga `kded4 --check`, uuendab see &kde; sycoca-faili käsuga `kbuildsycoca`.

## Vaata ka

kdeoptions(7), qtoptions(7), kbuildsycoca(8)

## Vead

Vigu võib olla mustmiljon, õige koht neist teadaandmiseks on bugs.kde.org.